Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class CategoryBag

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.CategoryBag

    public class CategoryBag

extends Object

CategoryBag is used to specify taxonomy information.

Constructor Summary
`CategoryBag()` Class constructor.

Method Summary
`void` | `addKeyedReference(String tModelKey, String keyName, String keyValue)` Adds a new keyed reference to the set of keyed references.
`Vector` | `getKeyedReferenceVector()` Gets the set of keyed refereneces.
`void` | `setKeyedReferenceVector(Vector v)` Gets the set of keyed refereneces.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryBag

    public CategoryBag()

  Class constructor.

Method Detail

### addKeyedReference

    public void addKeyedReference(String tModelKey,
                                  String keyName,
                                  String keyValue)

  Adds a new keyed reference to the set of keyed references.

  Parameters:
    `tModelKey` - tModel key of the new keyed reference.
    `keyName` - key name of the new keyed reference.
    `keyValue` - key value of the new keyed reference.

### getKeyedReferenceVector

    public Vector getKeyedReferenceVector()

  Gets the set of keyed refereneces.

  Returns:
    the set of keyed references.

### setKeyedReferenceVector

    public void setKeyedReferenceVector(Vector v)

  Gets the set of keyed refereneces.

  Parameters:
    `v` - the new set of keyed refereneces.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD